"mail this article to someone" feature
Closed, DeclinedPublic

Description

Author: elian

Description:
Some users of the german wikipedia proposed an "e-mail this article"-button to
be added to the interface.

remarks of elian: should be available only to logged-in users who provided an
e-mail-address to prevent abuse and potential legal trouble.


Version: 1.5.x
Severity: enhancement

bzimport set Reference to bz227.
bzimport created this task.Via LegacyAug 26 2004, 10:42 PM
Sj added a comment.Via ConduitAug 27 2004, 1:14 AM

(In reply to comment #0)

Some users of the german wikipedia proposed an "e-mail this article"-button to
be added to the interface.

remarks of elian: should be available only to logged-in users who provided an
e-mail-address to prevent abuse and potential legal trouble.

I have heard this suggested many times, both on VP and inserted into tangential
discussions of outreach to new potential Wikipedians.

Kurt_Jansson added a comment.Via ConduitAug 28 2004, 6:24 PM

(In reply to comment #0)

remarks of elian: should be available only to logged-in users who provided an
e-mail-address to prevent abuse and potential legal trouble.

But this would very much reduce the usefulness of this feature. I can imagine
many casual readers sending articles to their friends, who are experts in a
certain field, to judge and maybe correct them.

There might be a legal risk, and we have to look into this, but OTOH many sites
have such a feature, e.g. heise.de.

bzimport added a comment.Via ConduitAug 28 2004, 10:24 PM

timwi wrote:

Personally, I think this feature is perfectly feasible even without restricting
it to logged-in users, as long as an IP ban can be used to prevent persistent
abusers from using it. Additionally, maybe there should be a rate limit.

bzimport added a comment.Via ConduitJan 2 2005, 11:04 PM

tpfennig wrote:

I am against, because it means that emails will be sent and this is allways
complicated or makes things more complex/new problems.

Wikinaut added a comment.Via ConduitJan 2 2005, 11:19 PM

(In reply to comment #4)

I am against, because it means that emails will be sent and this is allways
complicated or makes things more complex/new problems.

Dear Thilo,

I have programmed Email notification and authentication. Assumed, that the
sender (the one who will send an article to a friend) and the recipient
(=friend) have both authenticated addresses, which will be prerequisite in 1.5
to make use of the enhanced email features such as EmailUser and ENotif, I
currently don't see any reason, why this feature should not be allowed for
registered users.

(To be honest, I relatively often missed that feature in the past.)

The Enotif is http://bugzilla.wikipedia.org/show_bug.cgi?id=454 and EAuthen is
http://bugzilla.wikipedia.org/show_bug.cgi?id=866 and are available in CVS HEAD
(i.e. the forthcoming 1.5 version). If you are interested in this, you could
check out the version and test it.

Brion is going to set up this version as test.wikipedia.org upon his return in
the States.

Tom

Wikinaut added a comment.Via ConduitJan 2 2005, 11:21 PM

I committed myself to implement this feature. Perhaps I implement also a user
option, where (wiki-) users can opt-out to receive such info-mails.

bzimport added a comment.Via ConduitDec 15 2005, 9:27 PM

avarab wrote:

I would like to mail my enemies as well, rectified summary.

bzimport added a comment.Via ConduitDec 15 2005, 9:59 PM

robchur wrote:

(In reply to comment #6)

I committed myself to implement this feature. Perhaps I implement also a user
option, where (wiki-) users can opt-out to receive such info-mails.

But are you implementing it to be patched into MediaWiki, or into your own fork?
If the latter, please un-assign this bug to yourself, so that we know it needs
to be done for the main code still.

brion added a comment.Via ConduitDec 15 2005, 10:08 PM

Every browser I've seen in the last few years has an "e-mail this page" feature already.
Closing as WONTFIX, as it's redundant and opens extra spamming opportunities with little
benefit.

bzimport added a comment.Via ConduitApr 25 2006, 7:32 PM

robchur wrote:

*** Bug 5715 has been marked as a duplicate of this bug. ***

brion added a comment.Via ConduitMar 29 2007, 9:11 PM
  • Bug 9451 has been marked as a duplicate of this bug. ***
brion added a comment.Via ConduitMay 28 2008, 12:45 AM
  • Bug 14279 has been marked as a duplicate of this bug. ***
brion added a comment.Via ConduitAug 26 2008, 6:33 PM
  • Bug 15325 has been marked as a duplicate of this bug. ***
brion added a comment.Via ConduitJul 13 2009, 4:45 PM
  • Bug 19660 has been marked as a duplicate of this bug. ***
MarkAHershberger added a comment.Via ConduitAug 17 2011, 6:24 PM
  • Bug 24359 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.